package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import de.humance.eco.profile.model.VehicleAttribute;
import de.humance.eco.profile.service.VehicleAttributeLocalServiceUtil;

/**
 * The extended model base implementation for the VehicleAttribute service. Represents a row in the &quot;Profile_VehicleAttribute&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link VehicleAttributeImpl}.
 * </p>
 *
 * @author Humance
 * @see VehicleAttributeImpl
 * @see de.humance.eco.profile.model.VehicleAttribute
 * @generated
 */
public abstract class VehicleAttributeBaseImpl extends VehicleAttributeModelImpl
    implements VehicleAttribute {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a vehicle attribute model instance should use the {@link VehicleAttribute} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            VehicleAttributeLocalServiceUtil.addVehicleAttribute(this);
        } else {
            VehicleAttributeLocalServiceUtil.updateVehicleAttribute(this);
        }
    }
}
